Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.scribe.messaging
Class SubscribeAckMessage

    java.lang.Object
      rice.p2p.scribe.messaging.ScribeMessage
          rice.p2p.scribe.messaging.AbstractSubscribeMessage
              rice.p2p.scribe.messaging.SubscribeAckMessage

All Implemented Interfaces:
  Message, java.io.Serializable

public class SubscribeAckMessage
extends AbstractSubscribeMessage

Version:
  $Id: SubscribeAckMessage.java 2302 2005-03-11 00:58:26Z jeffh $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary
`protected Id[]` | `pathToRoot` The contained path to the root

Fields inherited from class rice.p2p.scribe.messaging.AbstractSubscribeMessage
`id`

Fields inherited from class rice.p2p.scribe.messaging.ScribeMessage
`source, topic`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`SubscribeAckMessage(NodeHandle source, Topic topic, Id[] pathToRoot, int id)` Constructor which takes a unique integer Id

Method Summary
`Id[]` | `getPathToRoot()` Returns the path to the root for the node receiving this message
`java.lang.String` | `toString()` Returns a String representation of this ack

Methods inherited from class rice.p2p.scribe.messaging.AbstractSubscribeMessage
`getId`

Methods inherited from class rice.p2p.scribe.messaging.ScribeMessage
`getPriority, getSource, getTopic, setSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pathToRoot

    protected Id[] pathToRoot

  The contained path to the root

Constructor Detail

### SubscribeAckMessage

    public SubscribeAckMessage(NodeHandle source,
                               Topic topic,
                               Id[] pathToRoot,
                               int id)

  Constructor which takes a unique integer Id

Parameters:
  `id` - The unique id
  `source` - The source address
  `topic` - DESCRIBE THE PARAMETER
  `pathToRoot` - DESCRIBE THE PARAMETER

Method Detail

### getPathToRoot

    public Id[] getPathToRoot()

  Returns the path to the root for the node receiving this message

  Returns:
    The new path to the root for the node receiving this message

### toString

    public java.lang.String toString()

  Returns a String representation of this ack

  Returns:
    A String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.